<?php require_once('../Connections/conn_sustentabilidade.php'); ?>
<?php include('acesso.php')?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

$editFormAction = $_SERVER['PHP_SELF'];
if (isset($_SERVER['QUERY_STRING'])) {
  $editFormAction .= "?" . htmlentities($_SERVER['QUERY_STRING']);
}

if ((isset($_POST["MM_update"])) && ($_POST["MM_update"] == "form_evento_insere")) {
  $updateSQL = sprintf("UPDATE tbeventos SET nome_evento=%s, local_evento=%s, publico_evento=%s, descr_evento=%s, destaque_evento=%s, tipo_evento=%s WHERE id_evento=%s",
                       GetSQLValueString($_POST['nome_evento'], "text"),
                       GetSQLValueString($_POST['local_evento'], "text"),
                       GetSQLValueString($_POST['publico_evento'], "text"),
                       GetSQLValueString($_POST['descr_evento'], "text"),
                       GetSQLValueString($_POST['destaque_evento'], "text"),
                       GetSQLValueString($_POST['tipo_evento'], "int"),
                       GetSQLValueString($_POST['id_evento'], "int"));

  mysql_select_db($database_conn_sustentabilidade, $conn_sustentabilidade);
  $Result1 = mysql_query($updateSQL, $conn_sustentabilidade) or die(mysql_error());

  $updateGoTo = "index.php";
  if (isset($_SERVER['QUERY_STRING'])) {
    $updateGoTo .= (strpos($updateGoTo, '?')) ? "&" : "?";
    $updateGoTo .= $_SERVER['QUERY_STRING'];
  }
  header(sprintf("Location: %s", $updateGoTo));
}

$colname_atualiza_evento = "-1";
if (isset($_GET['id_evento'])) {
  $colname_atualiza_evento = $_GET['id_evento'];
}
mysql_select_db($database_conn_sustentabilidade, $conn_sustentabilidade);
$query_atualiza_evento = sprintf("SELECT * FROM tbeventos WHERE id_evento = %s", GetSQLValueString($colname_atualiza_evento, "int"));
$atualiza_evento = mysql_query($query_atualiza_evento, $conn_sustentabilidade) or die(mysql_error());
$row_atualiza_evento = mysql_fetch_assoc($atualiza_evento);
$totalRows_atualiza_evento = mysql_num_rows($atualiza_evento);

mysql_select_db($database_conn_sustentabilidade, $conn_sustentabilidade);
$query_select_tipo = "SELECT * FROM tbtipos";
$select_tipo = mysql_query($query_select_tipo, $conn_sustentabilidade) or die(mysql_error());
$row_select_tipo = mysql_fetch_assoc($select_tipo);
$totalRows_select_tipo = mysql_num_rows($select_tipo);
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
	<title>Evento - Altera</title>
	<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
</head>

<body>
	<nav>
         <?php include("menu_adm.php"); ?>
	</nav>
<section id="topo" class="container-fluid">
	<section id="titulo" class="container">
		<h1>Evento - Altera</h1>
		<hr>
	</section>
</section>
<section id="insere_centro" class="container-fluid">
  	<section id="form" class="container">
  		<form action="<?php echo $editFormAction; ?>" name="form_evento_insere" method="POST" id="form_evento_insere" enctype="multipart/form-data">
				<input type="hidden" name="id_evento" id="id_evento" value="<?php echo $row_atualiza_evento['id_evento']; ?>">
	  
            	<label for="nome_evento">Evento:</label>
                <p class="input-group">
					<span class="input-group-addon"></span>
                    <input name="nome_evento" class="form-control input" type="text" id="nome_evento" maxlength="50" required placeholder="Nome do Evento" value="<?php echo $row_atualiza_evento['nome_evento']?>">
				</p>
	  
                <label for="publico_evento">Publico:</label>
                <p class="input-group">
					<span class="input-group-addon"></span>
                    <input name="publico_evento" class="form-control input" type="text" id="publico_evento" maxlength="30" required placeholder="Ex.: Todos" value="<?php echo $row_atualiza_evento['publico_evento']?>">
                </p>
	  
				<label for="tipo_evento">Tipo:</label>
					<select name="tipo_evento" id="tipo_evento" required>
						<?php do {  ?>
							<option value="<?php echo $row_select_tipo['id_tipo']?>"<?php if(!(strcmp($row_select_tipo['id_tipo'],$row_atualiza_evento['tipo_evento']))) {echo "selected=\selected\"";} ?>>
							<?php echo $row_select_tipo['rotulo_tipo']?>
						</option>
						<?php } while ($row_select_tipo = mysql_fetch_assoc($select_tipo));
							$rows = mysql_num_rows($select_tipo);
							if($rows > 0) {
								mysql_data_seek($select_tipo, 0);
								$row_select_tipo = mysql_fetch_assoc($select_tipo);
							}
						?>
					</select>
                </p>
	  
	  			<label for="local_evento">Local:</label>
                <p class="input-group">
				  <span class="input-group-addon"></span>
                    <input name="local_evento" class="form-control input" type="text" id="local_evento" maxlength="30" required placeholder="Ex.: Todos" value="<?php echo $row_atualiza_evento['local_evento']?>">
                </p>
	  
	  			<label for="descr_evento">Descrição:</label>
                <p class="input-group">
				  <textarea name="descr_evento" id="descr_evento" cols="35" rows="5" maxlength="1500"><?php echo $row_atualiza_evento['descr_evento']?></textarea>
                </p>
			
	  			<div>
					<label for="destaque_evento"><b>É destaque?</b></label>
					<div class="btn-group btn-group-toggle" data-toggle="buttons">
						<label class="btn btn-warning <?php echo ($row_atualiza_evento['destaque_evento']=="Sim") ? "active" : null; ?>">
							<input name="destaque_evento" type="radio" id="destaque_evento" value="Sim" <?php echo ($row_atualiza_evento['destaque_evento']=="Sim") ? "checked" : null; ?> required> Sim
						</label>
						<label class="btn btn-warning <?php echo ($row_atualiza_evento['destaque_evento']=="Nao") ? "active" : null; ?>">
							<input name="destaque_evento" type="radio" id="destaque_evento" value="Nao" <?php echo ($row_atualiza_evento['destaque_evento']=="Nao") ? "checked" : null; ?> required> Não
						</label>
					</div>
				</div>
	  
	  			
				<p><div class="btn-group btn-group-justified" role="group" aria-label="...">
					<div class="btn-group" role="group">
						<input class="btn btn-success btn-block" type="submit" value="Atualizar">
					</div>
					<div class="btn-group" role="group">
	            		<input class="btn btn-danger btn-block" type="reset" value="Limpar">
					</div>
	  			</div></p>
				<input type="hidden" name="MM_update" value="form_evento_insere">
  		</form>
	</section>
</section>
	<!-- Jquery (obrigatório para plugin JS do Bootstrap) -->
<script src="../bootstrap/jquery.min.js"></script>

	<!-- Plugin JS-->
<script src="../bootstrap/js/bootstrap.min.js"></script>
</body>
</html>
<?php
mysql_free_result($atualiza_evento);

mysql_free_result($select_tipo);
?>
